<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'Book' => [ 'Book', 'Collection' ],
	'RenderBook' => [ 'RenderBook' ],
];

/** Afrikaans (Afrikaans) */
$specialPageAliases['af'] = [
	'Book' => [ 'Boek', 'Versameling' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'Book' => [ 'كتاب', 'مجموعة' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'Book' => [ 'كتاب', 'مجموعه' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'Book' => [ 'সংগ্ৰহ', 'গ্ৰন্থ' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'Book' => [ 'Коллекция_книг', 'Книга' ],
];

/** Bashkir (башҡортса) */
$specialPageAliases['ba'] = [
	'Book' => [ 'Collection' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'Book' => [ 'کتاب' ],
];

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = [
	'Book' => [ 'Buku' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'Book' => [ 'বই', 'গ্রন্থ', 'সংগ্রহ' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'Book' => [ 'Dastumad' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'Book' => [ 'Kolekcija' ],
];

/** буряад (буряад) */
$specialPageAliases['bxr'] = [
	'Book' => [ 'Ном', 'Суглуулбари' ],
];

/** Catalan (català) */
$specialPageAliases['ca'] = [
	'Book' => [ 'Llibre', 'Col·lecció' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'Book' => [ '書' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'Book' => [ 'Жайнийн_коллекци' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'Book' => [ 'Kniha', 'Kolekce' ],
];

/** Danish (dansk) */
$specialPageAliases['da'] = [
	'Book' => [ 'Bog', 'Samling' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'Book' => [ 'Buch', 'Sammlung' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'Book' => [ 'Kıtab', 'Koleksiyon' ],
];

/** Lower Sorbian (dolnoserbski) */
$specialPageAliases['dsb'] = [
	'Book' => [ 'Knigły', 'Zběrka' ],
];

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = [
	'Book' => [ 'Συλλογή' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'Book' => [ 'Libro' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'Book' => [ 'Libro', 'Libros', 'Colección', 'Colecciones' ],
	'RenderBook' => [ 'Generar_libro', 'Generar_libros' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'Book' => [ 'Raamat' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'Book' => [ 'کتاب' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'Book' => [ 'Kirja', 'Kokoelma' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'Book' => [ 'Livre' ],
];

/** Arpitan (arpetan) */
$specialPageAliases['frp'] = [
	'Book' => [ 'Lévro', 'Colèccion' ],
];

/** Western Frisian (Frysk) */
$specialPageAliases['fy'] = [
	'Book' => [ 'Boek', 'Kolleksje', 'Fersameling', 'Samling' ],
];

/** Gagauz (Gagauz) */
$specialPageAliases['gag'] = [
	'Book' => [ 'Kiyat' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'Book' => [ 'Libro', 'Colección' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'Book' => [ 'Sammlig' ],
];

/** Gujarati (ગુજરાતી) */
$specialPageAliases['gu'] = [
	'Book' => [ 'પુસ્તક', 'સંગ્રહ' ],
];

/** Hawaiian (Hawai`i) */
$specialPageAliases['haw'] = [
	'Book' => [ 'Puke', 'Waihona' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'Book' => [ 'ספר', 'אוסף' ],
];

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = [
	'Book' => [ 'पुस्तक', 'किताब' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'Book' => [ 'Zbirka' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'Book' => [ 'Kniha', 'Zběrka' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'Book' => [ 'Liv', 'Koleksyon' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'Book' => [ 'Könyv', 'Könyvek', 'Gyűjtemény', 'Gyűjtemények' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'Book' => [ 'Libro' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'Book' => [ 'Buku', 'Koleksi' ],
];

/** Igbo (Igbo) */
$specialPageAliases['ig'] = [
	'Book' => [ 'Ákwúkwú', 'Njikọtá_édé' ],
];

/** Ido (Ido) */
$specialPageAliases['io'] = [
	'Book' => [ 'Libro' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'Book' => [ 'Libro', 'Raccolta', 'Collezione' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'Book' => [ 'ブック', 'コレクション' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'Book' => [ 'წიგნი' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'Book' => [ 'ការចងក្រង' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'Book' => [ '책', '모음' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'Book' => [ 'Booch_sammelle', 'Sammlong', 'Sigge_sammelle' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'Book' => [ 'Lyver' ],
];

/** Ladino (Ladino) */
$specialPageAliases['lad'] = [
	'Book' => [ 'Libro' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'Book' => [ 'Buch', 'Sammlung' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'Book' => [ 'کتۉ', 'کومئلوٙس' ],
];

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = [
	'Book' => [ 'Boky' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'Book' => [ 'Книга', 'Збирка' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'Book' => [ 'പുസ്തകം', 'ശേഖരം' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'Book' => [ 'पुस्तक', 'संचयन' ],
];

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = [
	'Book' => [ 'Buku' ],
];

/** Maltese (Malti) */
$specialPageAliases['mt'] = [
	'Book' => [ 'Ktieb', 'Kollezzjoni' ],
];

/** Mirandés (Mirandese) */
$specialPageAliases['mwl'] = [
	'Book' => [ 'Lhibro', 'Libro', 'Coleçon' ],
	'RenderBook' => [ 'CumposiçonLhibro', 'CumposiçonLibro' ],
];

/** Erzya (эрзянь) */
$specialPageAliases['myv'] = [
	'Book' => [ 'Ставкс' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'Book' => [ 'Bok', 'Samling' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'Book' => [ 'Verzameling' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'Book' => [ 'Boek', 'Collectie', 'Verzameling' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'Book' => [ 'Bok' ],
];

/** Occitan (occitan) */
$specialPageAliases['oc'] = [
	'Book' => [ 'Libre' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'Book' => [ 'ਕਿਤਾਬ', 'ਇਕੱਠ' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'Book' => [ 'Książka', 'Kolekcja' ],
];

/** Western Punjabi (پنجابی) */
$specialPageAliases['pnb'] = [
	'Book' => [ 'کتاب' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'Book' => [ 'Livro', 'Colecção' ],
];

/** Brazilian Portuguese (português do Brasil) */
$specialPageAliases['pt-br'] = [
	'Book' => [ 'Livro', 'Coleção' ],
];

/** Quechua (Runa Simi) */
$specialPageAliases['qu'] = [
	'Book' => [ 'Liwru', 'Qillqamaytu' ],
];

/** Romanian (română) */
$specialPageAliases['ro'] = [
	'Book' => [ 'Carte', 'Colecție' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'Book' => [ 'Коллекция_книг', 'Книга' ],
];

/** Sanskrit (संस्कृतम्) */
$specialPageAliases['sa'] = [
	'Book' => [ 'समुच्यय' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'Book' => [ 'Libro', 'Raccolta', 'Collezione' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'Book' => [ 'Knihy', 'Kolekcia' ],
];

/** Albanian (shqip) */
$specialPageAliases['sq'] = [
	'Book' => [ 'Libra', 'Koleksion' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = [
	'Book' => [ 'Књига' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'Book' => [ 'Bok', 'Samling' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'Book' => [ 'Kusanya' ],
];

/** Telugu (తెలుగు) */
$specialPageAliases['te'] = [
	'Book' => [ 'సేకరణ', 'పుస్తకం' ],
];

/** Thai (ไทย) */
$specialPageAliases['th'] = [
	'Book' => [ 'หนังสือ' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'Book' => [ 'Aklat', 'Kalipunan' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'Book' => [ 'Kitap', 'Koleksiyon', 'Toplama' ],
];

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = [
	'Book' => [ 'Китап' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'Book' => [ 'Книга', 'Колекція_книг', 'Коллекция_книг' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'Book' => [ 'کتاب', 'انتخاب' ],
	'RenderBook' => [ 'طبع_کتاب' ],
];

/** Venetian (vèneto) */
$specialPageAliases['vec'] = [
	'Book' => [ 'Libro' ],
];

/** Veps (vepsän kel’) */
$specialPageAliases['vep'] = [
	'Book' => [ 'Kirj' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'Book' => [ 'Sách' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'Book' => [ '图书' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'Book' => [ '書籍' ],
];
